//
//  BWDocumentController.h
//  UberProject
//
//  Created by Brian Webster on Thu Apr 24 2003.
//  Copyright (c) 2001 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>


@interface BWDocumentController : NSDocumentController 
{
	BOOL		autoCloseBlankDocument;
}

- (BOOL)autoCloseBlankDocument;
- (void)setAutoCloseBlankDocument:(BOOL)flag;
- (NSArray*)fileExtensionsFromDocumentClass:(NSString*)documentClass;

@end


//These notifications both have the document as their object
extern NSString *BWDocumentControllerDidAddDocumentNotification;
extern NSString *BWDocumentControllerDidRemoveDocumentNotification;