//
//  BWImageTextCell.h
//  UberProject
//
//  Created by Brian Webster on Sun Jul 25 2004.
//  Copyright (c) 2001 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import "BWTextFieldCell.h"

@interface BWImageTextCell : BWTextFieldCell 
{
    NSImage*			image;
	NSImageCell*		imageCell;
}

- (void)setImage:(NSImage *)anImage;
- (NSImage *)image;

- (float)imageWidthForCellSize:(NSSize)cellSize;

- (void)drawWithFrame:(NSRect)cellFrame inView:(NSView *)controlView;
- (NSSize)cellSize;

@end
