//
//  BWKeyBindingManager.h
//  UberProject
//
//  Created by Brian Webster on 08/30/2004.
//  Copyright (c) 2001 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>


@interface BWKeyBindingManager : NSObject 
{
	NSMutableDictionary*			bindings;
}

+ (BWKeyBindingManager*)sharedManager;
- (BOOL)handleKeyEvent:(NSEvent*)event forClient:(id)client sender:(id)sender;
- (void)addBindingsFromPath:(NSString*)path;
- (void)addBindingsFromDictionary:(NSDictionary*)dict;
- (NSString*)stringForEvent:(NSEvent*)event;

@end

@interface NSObject(BWKeyBindingManager)

- (BOOL)handleKeyEvent:(NSEvent*)event;
- (BOOL)handleKeyEvent:(NSEvent*)event sender:(id)sender;

@end
