//
//  BWMovieView.h
//  UberProject
//
//  Created by Brian Webster on 08/30/2004.
//  Copyright (c) 2001 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import <Quicktime/Quicktime.h>

@interface BWMovieView : NSMovieView 
{
	IBOutlet id				delegate;
	QTCallBack				movieEndCallback;
}

- (id)delegate;
- (void)setDelegate:(id)newDelegate;

@end

@interface NSObject(BWMovieViewDelegate)

- (void)movieDidReachEnd:(BWMovieView*)movieView;

@end
