/* BWNagPanelController */

#import <Cocoa/Cocoa.h>

@interface BWNagPanelController : NSObject
{
    IBOutlet NSTextField*	countDownTextField;
    IBOutlet NSTextField*	messageTextField;
    IBOutlet NSMatrix*		nagButtonMatrix;
    IBOutlet NSPanel*		nagPanel;
	unsigned				continueIndex;
	unsigned				enterCodeIndex;
	unsigned				purchaseIndex;
	unsigned				delayRemaining;
	NSTimer*				countDownTimer;
	id						delegate;
}

- (void)setMessage:(NSString*)message;
- (BOOL)displayNagPanelWithDelay:(unsigned)delayInSeconds;
- (void)redisplayNagPanel;
- (void)dismissNagPanel:(id)sender;
- (id)delegate;
- (void)setDelegate:(id)newDelegate;
- (NSPanel*)nagPanel;

@end

@interface NSObject(BWNagPanelControllerDelegate)

- (void)nagPanelPerformPurchase:(BWNagPanelController*)nagPanelController;
- (void)nagPanelPerformRegistration:(BWNagPanelController*)nagPanelController;

@end