//
//	Filename:	BWToolbarController.h
//
//	History:	Thu Jul 11 2002			BEW		Initially Created and Defined
//
// =============================================================================================
//
//	Description: 
//
// =============================================================================================

#import <Cocoa/Cocoa.h>


@interface BWToolbarController : NSObject 
{
	NSToolbar*				toolbar;
	NSWindow*				window;
	NSMutableDictionary*	toolbarItems;
	NSMutableArray*			defaultItemIdentifiers;
	NSMutableArray*			allowedItemIdentifiers;
	id						target;
}

- (id)initWithToolbarIdentifier:(NSString*)toolbarIdentifier window:(NSWindow*)window;
- (id)initWithToolbarIdentifier:(NSString*)toolbarIdentifier window:(NSWindow*)aWindow target:(id)target;
- (id)initWithToolbarIdentifier:(NSString*)toolbarIdentifier window:(NSWindow*)aWindow target:(id)aTarget customToolbarItems:(NSDictionary*)customToolbarItems;

- (NSToolbar*)toolbar;
- (id)target;
- (NSWindow*)window;
- (void)setWindow:(NSWindow*)newWindow;

@end
