//
//  NSObject-BWAdditions.h
//  UberProject
//
//  Created by Brian Webster on Thu Apr 03 2003.
//  Copyright (c) 2001 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>


@interface NSObject(BWFoundation) 

- (id)deepCopy;
- (id)copyMutableContainers;
- (NSComparisonResult)compareByAttribute:(id)otherObject selector:(SEL)attributeSelector;
- (NSArray*)objectAsArray;
- (NSArray*)performSelector:(SEL)selector withObjectsInArray:(NSArray*)inArray;
- (NSArray*)performSelector:(SEL)selector withObjectsInArray:(NSArray*)inArray returnValues:(BOOL)returnValues;
- (void)takeValuesForKeysWithDictionary:(NSDictionary*)dict;
- (id)performSelectorOnMainThreadReturningValue:(SEL)selector withObject:(id)object;
- (id)performSelectorOnMainThreadReturningValue:(SEL)selector withObject:(id)object withObject:(id)object2;

#if MAC_OS_X_VERSION_MIN_REQUIRED >= MAC_OS_X_VERSION_10_3
- (void)setValueOnMainThread:(id)value forKey:(NSString*)key;
- (void)setValueOnMainThread:(id)value forKey:(NSString*)key waitUntilDone:(BOOL)waitUntilDone;
#endif

@end
