//
//  AUAddress.h
//  SpeakableFinder
//
//  Created by root on Mon Oct 02 2000.
//  Copyright (c) 2000 __CompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import "AUDescriptor.h"

enum {
	AUSignatureAddress,
	AUPSNAddress,
	AUSessionIDAddress,
	AUTargetIDAddress
};

@interface AUAddress : AUDescriptor 
{
	OSType sig;
	ProcessSerialNumber psn;
	int addressType;
}

+ (AUAddress*)addressWithSignature:(OSType)signature;
+ (AUAddress*)addressWithPSN:(ProcessSerialNumber)aPSN;
- (id)initWithPSN:(ProcessSerialNumber)aPSN;
- (id)initWithSignature:(OSType)signature;

@end
