//
//  AURecord.h
//  SpeakableFinder
//
//  Created by root on Mon Oct 02 2000.
//  Copyright (c) 2000 __CompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import "AUDescriptor.h"

@interface AURecord : AUDescriptor 
{
	NSMutableDictionary *descriptors;
}

- (NSArray*)allKeys;
- (NSEnumerator*)descriptorEnumerator;
- (int)descriptorCount;
- (AUDescriptor*)descriptorForKey:(AEKeyword)key;
- (void)setDescriptor:(AUDescriptor*)descriptor forKey:(AEKeyword)key;

@end

@interface AUDescriptor(AURecord)

- (AURecord*)coerceToRecord;

@end

@interface AURecordEnumerator : NSEnumerator
{
	AURecord *record;
	int currentIndex;
}

- (id)initWithRecord:(AURecord*)aRecord;

@end