//
//  AUType.h
//  SpeakableFinder
//
//  Created by root on Mon Oct 02 2000.
//  Copyright (c) 2000 __CompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import "AUDescriptor.h"

@interface AUType : AUDescriptor 
{
	OSType type;
}

+ (AUType*)typeWithType:(OSType)aType;
+ (OSType)typeFromString:(NSString*)aString;
- (id)initWithOSType:(OSType)aType;
- (id)initWithString:(NSString*)string;
- (OSType)type;
- (NSString*)stringValue;

@end

@interface AUDescriptor(AUType)

- (AUType*)coerceToType;

@end

extern AUType *AETypeType;
extern AUType *AETypeInteger;
extern AUType *AETypeBoolean;
extern AUType *AETypeAppleEvent;
extern AUType *AETypeRecordObject;
extern AUType *AETypeString;
extern AUType *AETypeList;
extern AUType *AETypeAlias;
