//
//  BWFavorite.h
//  UberProject
//
//  Created by Brian Webster on Sat May 01 2004.
//  Copyright (c) 2001 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>


@interface BWFavorite : NSObject 
{
	NSString*			path;
	NSString*			keyEquivalent;
	unsigned			keyEquivalentModifierMask;
}

- (id)initWithPath:(NSString*)inPath;
- (NSString*)path;
- (void)setPath:(NSString*)newPath;
- (NSString*)keyEquivalent;
- (void)setKeyEquivalent:(NSString*)newKeyEquivalent;
- (unsigned)keyEquivalentModifierMask;
- (void)setKeyEquivalentModifierMask:(unsigned)newKeyEquivalentModifierMask;
- (NSComparisonResult)compareByKeyEquivalent:(id)otherObject;
- (NSDictionary*)keyEquivalentDictionary;
- (void)setKeyEquivalentDictionary:(NSDictionary*)inDict;

@end

extern NSString* BWFavoriteDidChangePathNotification;
extern NSString* BWFavoriteDidChangeKeyEquivalentNotification;

@interface NSDictionary(KeyEquivalentComparison)

- (NSComparisonResult)compareByKeyEquivalent:(id)otherObject;

@end
