//
//  BWOutlineView.h
//  UberProject
//
//  Created by Brian Webster on Thu Apr 24 2003.
//  Copyright (c) 2001 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>


@interface BWOutlineView : NSOutlineView 
{
	BOOL		shouldDrawStripes;
	NSString*	message;
}

- (BOOL)shouldDrawStripes;
- (void)setShouldDrawStripes:(BOOL)flag;
- (NSString*)message;
- (void)setMessage:(NSString*)newMessage;

@end

@interface NSObject(BWOutlineViewDelegate)

- (BOOL)outlineView:(NSOutlineView*)outlineView shouldSelectItem:(id)item byExtendingSelection:(BOOL)extend;
- (NSMenu*)outlineView:(NSOutlineView*)outlineView contextMenuForItems:(NSArray*)items;
- (void)outlineView:(NSOutlineView*)outlineView didClickTableColumn:(NSTableColumn*)tableColumn;

@end