//
//  BWPopUpToolbarItem.h
//  UberProject
//
//  Created by Brian Webster on Sun Apr 20 2003.
//  Copyright (c) 2001 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>


@interface BWPopUpToolbarItem : NSToolbarItem 
{
	NSPopUpButton*		popUpButton;
}

- (id)initWithItemIdentifier:(NSString*)itemIdentifier popUpButton:(NSPopUpButton*)aButton;
- (NSPopUpButton*)popUpButton;
- (void)setPopUpButton:(NSPopUpButton*)aButton;
- (void)selectItemWithTag:(int)tag;
- (void)selectItemWithRepresentedObject:(id)object;
- (void)selectItemAtIndex:(int)index;

@end
