//
//  NSMutableArray-BWAdditions.h
//  UberProject
//
//  Created by Brian Webster on Thu Apr 03 2003.
//  Copyright (c) 2001 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>


@interface NSMutableArray(BWFoundation) 

- (void)insertObject:(id)object sortedBySelector:(SEL)selector;
- (void)reverseOrder;
- (void)filterObjectsWithSelector:(SEL)selector;
- (void)filterObjectsWithSelector:(SEL)selector object:(id)object matching:(BOOL)flag;
- (void)filterObjectsWithSelector:(SEL)selector object:(id)object;
- (void)addObjectsFromEnumerator:(NSEnumerator*)enumerator;
- (void)sortByKey:(NSString*)key;
- (void)removeObjectsAtIndices:(NSArray*)indices;

@end
