//
//  AUAlias.h
//  SpeakableFinder
//
//  Created by root on Mon Oct 02 2000.
//  Copyright (c) 2000 __CompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import "AUDescriptor.h"
#import <Carbon/Carbon.h>

@interface AUAlias : AUDescriptor 
{
	AliasHandle aliasHandle;
}

- (id)initWithPath:(NSString*)path;
- (id)initWithAliasHandle:(AliasHandle)handle;
- (AliasHandle)aliasValue;
- (NSString*)path;

@end

@interface AUDescriptor(AUAlias)

- (AUAlias*)coerceToAlias;

@end

@interface NSString(AUAlias)

+ (NSString*)stringWithPString:(StringPtr)string;
- (id)initWithPString:(StringPtr)pString;
- (void)getPString:(StringPtr)buffer;
- (StringPtr)pString;

@end