//
//  AUBoolean.h
//  SpeakableFinder
//
//  Created by root on Mon Oct 02 2000.
//  Copyright (c) 2000 __CompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import "AUDescriptor.h"

@interface AUBoolean : AUDescriptor
{
	BOOL boolValue;
}

+ (AUBoolean*)falseBoolean;
+ (AUBoolean*)trueBoolean;
- (id)initWithBool:(BOOL)flag;
- (BOOL)boolValue;

@end

@interface AUDescriptor(AUBoolean)

- (AUBoolean*)coerceToBoolean;

@end
