//
//  AUDate.h
//  UberProject
//
//  Created by Brian Webster on Wed May 28 2003.
//  Copyright (c) 2001 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import "AUDescriptor.h"

@interface AUDate : AUDescriptor 
{
	NSDate*			dateValue;
}

+ (AUDate*)dateDescWithDate:(NSDate*)inDate;
- (id)initWithDate:(NSDate*)inDate;
- (id)initWithCarbonDate:(unsigned long)inDate;
- (NSDate*)dateValue;

@end

@interface AUDescriptor(AUDate)

- (AUDate*)coerceToDate;

@end

@interface NSDate(AUDate)

- (AUDescriptor*)convertToDescriptor;

@end