//
//  AUString.h
//  SpeakableFinder
//
//  Created by root on Mon Oct 02 2000.
//  Copyright (c) 2000 __CompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import "AUDescriptor.h"

@interface AUString : AUDescriptor 
{
	NSString *stringValue;
}

+ (AUString*)stringDescWithString:(NSString*)string;
- (id)initWithString:(NSString*)string;
- (id)initWithCString:(const char*)chars;
- (id)initWithCString:(const char*)chars length:(unsigned int)length;
- (NSString*)stringValue;

@end

@interface AUDescriptor(AUString)

- (AUString*)coerceToString;

@end

@interface NSString(AUString)

- (AUDescriptor*)convertToDescriptor;

@end