//
//  AUURL.h
//  ScriptServices
//
//  Created by bwebster on Sun Sep 30 2001.
//  Copyright (c) 2001 Brian Webster. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import "AUDescriptor.h"

@interface AUURL : AUDescriptor 
{
	NSURL *url;
}

- (id)initWithURL:(NSURL*)anURL;
- (AUURL*)coerceToURL;
- (NSURL*)urlValue;

@end

@interface AUDescriptor(AUURL)

- (AUURL*)coerceToURL;

@end