//
//  CUHandleData.h
//  ScriptServices
//
//  Created by bwebster on Mon Sep 17 2001.
//  Copyright (c) 2001 Brian Webster. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import <Carbon/Carbon.h>

@interface CUHandleData : NSMutableData <NSCopying, NSMutableCopying>
{
	Handle handle;
	BOOL disposeOnDealloc;
}

- (id)initWithHandle:(Handle)aHandle;
- (id)initWithHandle:(Handle)aHandle disposeOnDealloc:(BOOL)flag;
- (Handle)handle;
- (void)setDisposeOnDealloc:(BOOL)flag;

@end
