//
//  CURecordingManager.h
//  UberProject
//
//  Created by Brian Webster on Wed Jun 23 2004.
//  Copyright (c) 2001 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>

@class AUAppleEvent;

@interface CURecordingManager : NSObject 
{
	unsigned			recordingCount;
}

+ (CURecordingManager*)sharedRecordingManager;
- (BOOL)isRecording;
- (void)recordAppleEvent:(AUAppleEvent*)event;
- (void)recordScriptCommand:(NSScriptCommand*)scriptCommand;

@end

extern NSString *CURecordingDidStartNotification;
extern NSString *CURecordingDidStopNotification;
extern NSString *CURecordingProcessKey;