//
//  NSFileManager-CUAdditions.h
//  UberProject
//
//  Created by Brian Webster on Tue May 20 2003.
//  Copyright (c) 2001 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>


@interface NSFileManager(CUAdditions)

- (BOOL)isStationeryFileAtPath:(NSString*)path;
- (BOOL)isVisibleFileAtPath:(NSString*)inPath;
- (BOOL)fileHasResourceForkAtPath:(NSString*)path;
- (NSString*)finderCommentAtPath:(NSString*)path;
- (UInt16)finderInfoFlagsAtPath:(NSString*)inPath;
- (void)setFinderInfoFlags:(UInt16)inFlags atPath:(NSString*)inPath;
- (NSData*)iconFamilyDataAtPath:(NSString*)inPath;
- (void)setIconFamilyData:(NSData*)familyData atPath:(NSString*)inPath;

@end
